org.eclipse.actf.mediator

## Interface IMediatorEventListener

All Superinterfaces:
  EventListener

All Known Subinterfaces:
  IACTFReportGenerator, IACTFReportViewer, IVisualizationView

    public interface IMediatorEventListener
    extends EventListener

This listener interface may be implemented in order to receive a `MediatorEvent` notification when a `Mediator` detects a status change in ACTF components.

See Also:
  `Mediator.addMediatorEventListener(IMediatorEventListener)`, `Mediator.removeMediatorEventListener(IMediatorEventListener)`

### Method Summary

Methods
`void` `modelserviceChanged(MediatorEvent event)` This method is called when a model service was selected by user.
`void` `modelserviceInputChanged(MediatorEvent event)` This method is called when an input change event was occured in the active model service.
`void` `reportChanged(MediatorEvent event)` This method is called when the report (`IACTFReport`) was submitted to the `Mediator`
`void` `reportGeneratorChanged(MediatorEvent event)` This method is called when a report generator (`IACTFReportGenerator`) was selected by user.

### Method Detail

#### reportChanged

    void reportChanged(MediatorEvent event)

This method is called when the report (`IACTFReport`) was submitted to the `Mediator`

Parameters:
  `event` - The `MediatorEvent` contains information about the event.

#### reportGeneratorChanged

    void reportGeneratorChanged(MediatorEvent event)

This method is called when a report generator (`IACTFReportGenerator`) was selected by user.

Parameters:
  `event` - The `MediatorEvent` contains information about the event.

#### modelserviceChanged

    void modelserviceChanged(MediatorEvent event)

This method is called when a model service was selected by user.

Parameters:
  `event` - The `MediatorEvent` contains information about the event.

#### modelserviceInputChanged

    void modelserviceInputChanged(MediatorEvent event)

This method is called when an input change event was occured in the active model service.

Parameters:
  `event` - The `MediatorEvent` contains information about the event.